from orchestrator.domain import SUBSCRIPTION_MODEL_REGISTRY

from geant_service_orchestrator.products.product_types.trunk \
    import Trunk
from geant_service_orchestrator.products.product_types.trunk_config \
    import TrunkConfig
from geant_service_orchestrator.products.product_types.trunk_config_common \
    import TrunkConfigCommon
from geant_service_orchestrator.products.product_types.trunk_config_side \
    import TrunkConfigSide

SUBSCRIPTION_MODEL_REGISTRY.update(
    {
        "Trunk": Trunk,
        "Trunk Config": TrunkConfig,
        "Trunk Config Common": TrunkConfigCommon,
        "Trunk Config Side": TrunkConfigSide,
    }
)
